import request from '@/utils/request'

// 查询职业与专业关联列表
export function listMallLinkCareerMajor(query) {
  return request({
    url: '/mall/mallLinkCareerMajor/list',
    method: 'get',
    params: query
  })
}

// 查询职业与专业关联详细
export function getMallLinkCareerMajor(linkId) {
  return request({
    url: '/mall/mallLinkCareerMajor/' + linkId,
    method: 'get'
  })
}

// 新增职业与专业关联
export function addMallLinkCareerMajor(data) {
  return request({
    url: '/mall/mallLinkCareerMajor',
    method: 'post',
    data: data
  })
}

// 修改职业与专业关联
export function updateMallLinkCareerMajor(data) {
  return request({
    url: '/mall/mallLinkCareerMajor',
    method: 'put',
    data: data
  })
}

// 删除职业与专业关联
export function delMallLinkCareerMajor(linkId) {
  return request({
    url: '/mall/mallLinkCareerMajor/' + linkId,
    method: 'delete'
  })
}
